rte_graph_feature_register(3)

NAME
rte_graph_feature_register

SYNOPSIS

#include <rte_graph_feature_arc.h>

  Public Member Functions

STAILQ_ENTRY (rte_graph_feature_register) next_feature

  Data Fields

const char * arc_name
const char * feature_name
rte_node_t feature_node_id
rte_node_process_t feature_process_fn
struct rte_node_register * feature_node
const char * runs_after
const char * runs_before
rte_graph_feature_override_index_cb_t override_index_cb
rte_graph_feature_change_notifier_cb_t notifier_cb

Detailed Description

Feature registration structure provided to RTE_GRAPH_FEATURE_REGISTER()

Definition at line 237 of file rte_graph_feature_arc.h.

Member Function Documentation

  STAILQ_ENTRY (rte_graph_feature_register )
Pointer to next registered feature in the same arc.

Field Documentation

  const char* arc_name
Name of the arc which is registered either via RTE_GRAPH_FEATURE_ARC_REGISTER() or via rte_graph_feature_arc_create()

Definition at line 247 of file rte_graph_feature_arc.h.

  const char* feature_name
Name of the feature

Definition at line 250 of file rte_graph_feature_arc.h.

  rte_node_t feature_node_id
Node id of feature_node.

Setting this field can be skipped if registering feature via RTE_GRAPH_FEATURE_REGISTER()

Definition at line 258 of file rte_graph_feature_arc.h.

  rte_node_process_t feature_process_fn
Feature node process() function calling feature fast path APIs.

If application calls rte_graph_feature_arc_init(), node->process() provided in RTE_NODE_REGISTER() is overwritten by this function.

Definition at line 267 of file rte_graph_feature_arc.h.

  struct rte_node_register* feature_node
Pointer to Feature node registration

Used when features are registered via RTE_GRAPH_FEATURE_REGISTER().

Definition at line 275 of file rte_graph_feature_arc.h.

  const char* runs_after
Feature ordering constraints runs_after: Name of the feature after which "this feature" should run

Definition at line 280 of file rte_graph_feature_arc.h.

  const char* runs_before
Feature ordering constraints runs_before: Name of the feature which must run after "this feature"

Definition at line 285 of file rte_graph_feature_arc.h.

  rte_graph_feature_override_index_cb_t override_index_cb
Allow each feature registration to override arc->max_indexes

If set, struct rte_graph_feature_arc_register::max_indexes is calculated as follows (before calling rte_graph_feature_arc_create())

FOR_EACH_FEATURE_REGISTER(arc, feat) { rte_graph_feature_arc_register::max_indexes = max(feat->override_index_cb(), rte_graph_feature_arc_register::max_indexes) }

Definition at line 298 of file rte_graph_feature_arc.h.

  rte_graph_feature_change_notifier_cb_t notifier_cb
Callback for notifying any change in feature enable/disable state

Definition at line 303 of file rte_graph_feature_arc.h.

Author

Generated automatically by Doxygen for DPDK from the source code.